Skip to main content
Kofax

Assembly is built by a runtime newer than the currently loaded runtime error launching Capture 10.1 Advanced Reports Viewer

19034

QAID # 19034 Published 

Question / Problem:

What can cause the following error message when trying to load Advanced Reports Viewer?

Unhandled exception has occurred in your application. If you click Continue, the
application will ignore this error and attempt to continue. If you click Quit, the
application will close immediately.

Could not load file or assembly 'ACLicClnt, Version=6.0.0.0, Culture=neutral,
PublicKeyToken=2a06c44ecf114f0f' or one of its dependencies. This assembly is built by
a runtime newer than the currently loaded runtime and cannot be loaded.

How can this issue be resolved?

Answer / Solution:

This issue can be caused when trying to load Advanced Reports Viewer on a Kofax Capture 10.1 system, which is based on Microsoft .NET Framework 4.0.

To use Kofax Capture 10.1 successfully with Advanced Reports Viewer which is based on earlier versions of the .NET Framework, a special-purpose configuration file is required:

  1. Locate the sample configuration files located at:
    • Server
      • ProgramData\Kofax\CaptureSV\Source\Sample Configurations
    • Standalone
      • Program Files (x86)\Kofax\Capture\Source\Sample Configurations
  2. Make a copy of the Sample.exe.config sample configuration file.
  3. Rename the Sample.exe.config sample configuration file to AdvReportsViewer.exe.config.
  4. Copy the renamed AdvReportsViewer.exe.config file to the following location:
    • <Kofax Capture installation>\Bin

For further details, please refer to the Configuration File Requirements for Custom Components section starting on Page 48 of the Kofax Capture 10.1.0 Installation Guide.

Applies to:

Product Version
CAPTURE 10.1
KCADVREP 3.2